Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
business_data
/
google
/
questions_and_answers
/
live
Setting Live Google My Business Questions and Answers Tasks
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/business_data/google/questions_and_answers/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keyword": "<string>",
  "location_name": "<string>",
  "location_code": 123,
  "location_coordinate": "<string>",
  "language_name": "<string>",
  "language_code": "<string>",
  "depth": 123,
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "version.status_code": 123,
  "version.status_message": "<string>",
  "version.time": "<string>",
  "version.cost": 123,
  "version.tasks_count": 123,
  "version.tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "result": [
    "<string>"
  ],
  "result.keyword": "<string>",
  "result.se_domain": "<string>",
  "result.location_code": 123,
  "result.language_code": "<string>",
  "result.check_url": "<string>",
  "result.datetime": "<string>",
  "result.cid": "<string>",
  "result.feature_id": "<string>",
  "result.item_types": [
    "<string>"
  ],
  "items_without_answers": [
    "<string>"
  ],
  "items_without_answers.type": "<string>",
  "items_without_answers.rank_group": 123,
  "items_without_answers.rank_absolute": 123,
  "items_without_answers.question_id": "<string>",
  "items_without_answers.url": "<string>",
  "items_without_answers.profile_image_url": "<string>",
  "items_without_answers.profile_url": "<string>",
  "items_without_answers.profile_name": "<string>",
  "items_without_answers.question_text": "<string>",
  "items_without_answers.original_question_text": "<string>",
  "items_without_answers.time_ago": "<string>",
  "items_without_answers.timestamp": "<string>",
  "items_without_answers.items": [
    "<string>"
  ],
  "items_without_answers.items_count": 123,
  "items": [
    "<string>"
  ],
  "items.type": "<string>",
  "items.rank_group": 123,
  "items.rank_absolute": 123,
  "items.question_id": "<string>",
  "items.url": "<string>",
  "items.profile_image_url": "<string>",
  "items.profile_url": "<string>",
  "items.profile_name": "<string>",
  "items.question_text": "<string>",
  "items.original_question_text": "<string>",
  "items.time_ago": "<string>",
  "items.timestamp": "<string>",
  "items.items": [
    "<string>"
  ],
  "items.answer_id": "<string>",
  "items.answer_text": "<string>",
  "items.original_answer_text": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
keyword
string
required

keyword required field the keyword you specify should indicate the name of the local establishment you can specify up to 700 characters in the keyword filed all %## will be decoded (plus character ‘+’ will be decoded to a space character) if you need to use the “%” character for your keyword, please specify it as “%25”; this field can also be used to pass the following parameters: cid – a unique, google-defined id of the business entity; place_id – an identifier of the business entity in Google Maps; spp – a unique identifier of local services featured in the local_pack element of Google SERP example: cid:194604053573767737 place_id:GhIJQWDl0CIeQUARxks3icF8U8A spp:CgsvZy8xdGN4cWRraBoUChIJPZDrEzLsZIgRoNrpodC5P30 learn more about the cid and place_id identifiers in this help center article learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

location_name
string
required

full name of search engine location required field if you don’t specify location_code or location_coordinate if you use this field, you don’t need to specify location_code or location_coordinate you can receive the list of available locations with location_name by making a separate request to https://api.dataforseo.com/v3/business_data/google/locations example: London,England,United Kingdom

location_code
integer
required

search engine location code required field if you don’t specify location_name or location_coordinate if you use this field, you don’t need to specify location_name or location_coordinate you can receive the list of available locations with location_code by making a separate request to the https://api.dataforseo.com/v3/business_data/google/locations example: 2840

location_coordinate
string
required

GPS coordinates of a location required field if you don’t specify location_name or location_code if you use this field, you don’t need to specify location_name or location_code location_coordinate parameter should be specified in the “latitude,longitude,radius” format the maximum number of decimal digits for “latitude” and “longitude”: 7 the minimum value for “radius”: 199.9 (mm) the maximum value for “radius”: 199999 (mm) example: 53.476225,-2.243572,200

language_name
string
required

full name of search engine language required field if you don’t specify language_code if you use this field, you don’t need to specify language_code you can receive the list of available languages with language_name by making a separate request to https://api.dataforseo.com/v3/business_data/google/languages example: English

language_code
string
required

search engine language code required field if you don’t specify language_name if you use this field, you don’t need to specify language_name you can receive the list of available languages with their language_code by making a separate request to https://api.dataforseo.com/v3/business_data/google/languages example: en

depth
integer

parsing depth optional field number of results in SERP default value: 20 max value: 100 Your account will be billed per each SERP containing up to 20 results; Setting depth above 20 may result in additional charges if the search engine returns more than 20 results; If the specified depth is higher than the number of questions in the response, the difference will be refunded automatically to your account balance; The cost can be calculated on the Pricing page.

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

version.status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

version.status_message
string

general informational message you can find the full list of general informational messages here

version.time
string

execution time, seconds

version.cost
number

total tasks cost, USD

version.tasks_count
integer

the number of tasks in the tasks array

version.tasks_error
integer

the number of tasks in the tasks array that were returned an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

result
string[]

array of results

result.keyword
string

keyword received in a POST array keyword is returned with decoded %## (plus character ‘+’ will be decoded to a space character) this field will contain the cid parameter if you specified it in the keyword field when setting a task; example: cid:2946633002421908862 learn more about the parameter in this help center article

result.se_domain
string

search engine domain as specified in a POST array

result.location_code
integer

location code in a POST array

result.language_code
string

language code in a POST array

result.check_url
string

direct URL to search engine results you can use it to make sure that we provided accurate results

result.datetime
string

date and time when the result was received in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

result.cid
string

google-defined client id unique id of a local establishment; learn more about the identifier in this help center article

result.feature_id
string

unique identifier of the SERP feature

result.item_types
string[]

item types types of search engine results encountered in the items array; possible item types: google_business_question_item

items_without_answers
string[]

array of google business question items without answers

items_without_answers.type
string

type of element = ‘google_business_question_item’

items_without_answers.rank_group
integer

position within a group of elements with identical type values positions of elements with different type values are omitted from rank_group

items_without_answers.rank_absolute
integer

absolute rank among all the elements

items_without_answers.question_id
string

ID of the question

items_without_answers.url
string

URL of the question

items_without_answers.profile_image_url
string

URL of the user’s profile image

items_without_answers.profile_url
string

URL of the user’s profile

items_without_answers.profile_name
string

displayed name of the user

items_without_answers.question_text
string

current text of the question

items_without_answers.original_question_text
string

original text of the question

items_without_answers.time_ago
string

estimated time when the question was posted

items_without_answers.timestamp
string

exact time when the question was posted

items_without_answers.items
string[]

array of items items within google_business_question_item

items_without_answers.items_count
integer

the number of items in the items array

items
string[]

array of google business question items with answers possible item types: google_business_question_item

items.type
string

type of the element = ‘google_business_answer_element’

items.rank_group
integer

position within a group of elements with identical type values positions of elements with different type values are omitted from rank_group

items.rank_absolute
integer

absolute rank among all the elements

items.question_id
string

ID of the question

items.url
string

URL of the question

items.profile_image_url
string

URL of the user’s profile image

items.profile_url
string

URL of the user’s profile

items.profile_name
string

displayed name of the user

items.question_text
string

current text of the question

items.original_question_text
string

original text of the question

items.time_ago
string

estimated time when the answer was posted

items.timestamp
string

exact time when the answer was posted

items.items
string[]

array of items within google_business_question_item contains answers to the google business questions; possible item types google_business_answer_element

items.answer_id
string

ID of the answer

items.answer_text
string

current text of the answer

items.original_answer_text
string

original text of the answer